# ObjectActuator Class Reference

[GameLogic Index] [GameLogic Hierarchy]

A ObjectActuator is a special kind of a general actuator More...

`#include <objectactuator.h>`

Inherits: Actuator

## Public Members

- ObjectActuator ()
- ~ObjectActuator ()
- PyObject* getForce ()
- PyObject* setForce (float x, float y, float z, int toggle)
- PyObject* getTorque ()
- PyObject* setTorque (float x, float y, float z, int toggle)
- PyObject* getDLoc ()
- PyObject* setDLoc (float x, float y, float z, int toggle)
- PyObject* getDRot ()
- PyObject* setDRot (float x, float y, float z, int toggle)
- PyObject* getLinearVelocity ()
- PyObject* setLinearVelocity (float x, float y, float z, int toggle)
- PyObject* getAngularVelocity ()
- PyObject* setAngularVelocity (float x, float y, float z, int toggle)

## Detailed Description

A ObjectActuator is a special kind of a general actuator.

## PyObject* getForce()

bla

## PyObject* setForce(float x, float y, float z, int toggle)

bla

## PyObject* getTorque()

bla

## PyObject* setTorque(float x, float y, float z, int toggle)

bla

## PyObject* getDLoc()

bla

## PyObject* setDLoc(float x, float y, float z, int toggle)

bla

## PyObject* getDRot()

bla

## PyObject* setDRot(float x, float y, float z, int toggle)

bla

## PyObject* getLinearVelocity()

bla

## PyObject* setLinearVelocity(float x, float y, float z, int toggle)

bla

## PyObject* getAngularVelocity()

bla

## PyObject* setAngularVelocity(float x, float y, float z, int toggle)

bla

- Author: Jan Walter
- Documentation generated by jan@nvidea on Thu Dec 21 14:04:43 CET 2000

K doc